jQuery(document).ready(function ($) {

    $(document).on('click', ".twve-insert-message-pattern", function (e) {
        e.preventDefault();
        var text = $(this).closest('tr').find('textarea').val();
        $("#Block_SMS_In_Order_form").find("[name=sms]").val(text);
    });

    $(document).on('click', '.twve-update-message-patterns', function (e) {
        e.preventDefault();
        var that = this;
        var formData = {};
        $("#twve-message-patterns-popup-content [name^='pattern-']").each(function (i, el) {
            formData[$(el).attr('name')] = $(el).val();
        })
        formData['action'] = 'twve-save-message-patterns';
        $.ajax({
            url: ajaxurl,
            type: "POST",
            data: formData,
            success: function (result) {
                $(that).removeClass('button-disabled');
            },
            beforeSend: function () {
                $(that).addClass('button-disabled');
            },
            error: function (err) {
                alert(err);
            }
        })
    })

    $("#Block_SMS_In_Order__go").click(function (e) {
        e.preventDefault();
        var phone = $("#Block_SMS_In_Order_form [name=phone]").val();
        var text = $("#Block_SMS_In_Order_form [name=sms]").val();
        var order_id = $("#Block_SMS_In_Order_form [name=woocommerce-order-id]").val();
        $.ajax({
            url: ajaxurl,
            type: "POST",
            data: {
                action: 'Block_SMS_In_Order_send',
                phone: phone,
                text: text,
                order_id: order_id
            },
            success: function (data) {
                if (data.message === undefined) {
                    alert("Произошла ошибка!");
                    return;
                }
                $("#Block_SMS_In_Order_form__res").html(data.message);
                $("select#order_note_type").val("customer");
                // window.location.reload();
            },
            beforeSend: function () {
                $("#Block_SMS_In_Order_form__res").html("Sending...");
            },
            error: function (err) {
                alert(err);
            }
        });
    })
});
