<?php

/**
 * Plugin name: TurboSMS Woocommerce Viber Edition
 * Description: Sending SMS with woocommerce through TurboSMS
 * Requires at least: 5.3.2
 * Requires PHP: 5.6
 * Tested up to: 5.8.2
 * WC requires at least: 3.7.0
 * WC tested up to: 6.0.0
 * Author: freelancevip.pro
 * Author URI: https://freelancevip.pro/
 * Text Domain: turbosms-woocommerce-viber-edition
 * Version: 1.5.0
 */

namespace TurboSMSWoocommerceViberEdition;

defined('ABSPATH') || exit();

define('TWVE_VERSION', '1.5.0');
define('TWVE_PATH', \dirname(__FILE__));
define('TWVE_URL', \plugins_url('', __FILE__));
define('TWVE_SLUG', 'turbosms-woocommerce-viber-edition');
define('TWVE_KEY', 'ck_212ce4f2f334f0a27b2d963d007d9c137edc640b');
define('TWVE_SECRET', 'cs_f9361117943f519a29929fcc53a6442a611a0071');

require_once TWVE_PATH . '/inc/ASettings.php';
require_once TWVE_PATH . '/inc/Filters.php';
require_once TWVE_PATH . '/inc/MessagePatterns.php';
require_once TWVE_PATH . '/inc/plugin-update-checker/plugin-update-checker.php';
require_once TWVE_PATH . '/Plugin.php';
require_once TWVE_PATH . '/Settings.php';
require_once TWVE_PATH . '/inc/Api.php';

new Filters();

$twve_message_patterns = MessagePatterns::get_instance();
$twve_message_patterns->run();

$twve_plugin = Plugin::get_instance();
$twve_plugin->run();

$twve_settings = Settings::get_instance();
$twve_settings->run();
